Plug and play vehicle tracker compatibility

The Vehicle Data Device (VDD) is compatible with most vehicles manufactured in 1996 or later.

The following vehicles are not compatible:

  • Vehicles from 1995 and older—OBD-II standards were implemented in 1996, so older vehicles cannot accommodate the OBD Reader.
  • Electric-only vehicles
  • Ford Diesel engines 1996-2003 are incompatible.

When you install a VDD using the Spotlight app, the app checks the compatibility of the vehicle.

Check_compatibility.png

Do not attempt to put the vehicle tracker into a vehicle without checking that it is compatible first. If the vehicle is not compatible, contact support.
For more information about installing a VDD, read the installation guide.

VERIZON CONNECT SHALL HAVE NO LIABILITY WHATSOEVER FOR ANY DAMAGES THAT ARISE FROM, OR ARE CONNECTED WITH, YOUR USE OF OUR SERVICES, INCLUDING THE VEHICLE TRACKER, IN A MANNER CONTRARY TO THESE INSTRUCTIONS OR IN VIOLATION OF LAW AND/OR OUR AGREEMENT.

 


Was this article helpful?


14 out of 62 found this helpful